%global majorver 0.5
%global gen_name calculator

Name:		xfce4-calculator-plugin
Version:	0.5.1
Release:	2%{?dist}
Summary:	A calculator plugin for the Xfce4 panel

License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{majorver}/%{name}-%{version}.tar.bz2

BuildRequires:	automake
BuildRequires:	libxfce4ui-devel
BuildRequires:	xfce4-panel-devel
BuildRequires:	gtk2-devel
BuildRequires:	intltool

Requires:	xfce4-panel

%description
xfce4-calculator-plugin is a calculator plugin for the Xfce4 panel.

Place the plugin in your panel, enter your calculation into the text field 
and press Enter to calculate the result.

The plugin supports common mathematical operators (+, -, *, /, ^) with usual 
precedence rules and some basic functions (e.g., trigonometric functions) 
and constants.


%prep
%setup -q

# remove empty file
rm -f NEWS

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%doc README TODO ChangeLog AUTHORS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/%{gen_name}.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Thu Apr 14 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.1-2
- Remove bad config option that got left over by mistake

* Mon Apr 11 2016 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.5.1-1
- Initial package
